Bug 891940 - Cannot uninstall munin-node due to preun assumptions
Summary: Cannot uninstall munin-node due to preun assumptions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-04 15:15 UTC by Jay Fougere
Modified: 2013-01-29 20:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-20 03:03:36 UTC


Attachments (Terms of Use)

Description Jay Fougere 2013-01-04 15:15:53 UTC
Description of problem:
"Error in PREUN scriptlet in rpm package munin-node" -- Cannot uninstall munin-node 

Version-Release number of selected component (if applicable):
2.0.8

How reproducible:
Install munin-node and attempt to uninstall munin-node.

Steps to Reproduce:
1. yum install munin-node (pulls in munin-common)
2. yum remove munin-node (fails)
3. rpm -e munin-node (fails)
  
Actual results:
munin-node cannot be uninstalled

Expected results:
successful uninstallation of munin-node

Additional info:

In the .spec file for munin, it is assumed that there are services installed that are not installed. During preun rpm attempts to stop and disable these services and fails.

relevant section:

Begins on line 445 in .spec:

# Older installs use sysvinit / upstart
if [ "$1" = 0 ]; then
  for svc in node asyncd fcgi-html fcgi-graph; do
    service munin-${svc} stop &>/dev/null || :
    /sbin/chkconfig --del munin-${svc}
  done
fi

Comment 1 Jay Fougere 2013-01-04 15:26:58 UTC
There is similar logic in the preun for munin-cgi as well.

Comment 2 Fedora Update System 2013-01-09 19:38:04 UTC
munin-2.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el5

Comment 3 Fedora Update System 2013-01-09 19:39:10 UTC
munin-2.0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el6

Comment 4 Fedora Update System 2013-01-09 19:40:13 UTC
munin-2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc16

Comment 5 Fedora Update System 2013-01-09 19:42:25 UTC
munin-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc17

Comment 6 Fedora Update System 2013-01-09 19:43:33 UTC
munin-2.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc18

Comment 7 Fedora Update System 2013-01-10 21:31:10 UTC
Package munin-2.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0593/munin-2.0.10-1.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-20 03:03:38 UTC
munin-2.0.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-22 03:40:02 UTC
munin-2.0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-23 01:45:31 UTC
munin-2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-23 01:48:32 UTC
munin-2.0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-29 20:04:37 UTC
munin-2.0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.